User Interface - Bug #3637

The frame is not shown with its default window after executing 'enable all with frame'
06/26/2018 01:15 AM - Sergey Ivanovskiy
History

#1 - 06/26/2018 01:17 AM - Sergey Ivanovskiy

Executing this simple program with the current trunc doesn't show the target frame with its default window
def var gl as char label "Char field gl".

def button sl label "Button sl1l".

def frame fl gl sl with side-labels.

enable all with frame f1.

wait-for close of this-procedure.

#2 - 06/26/2018 11:39 AM - Greg Shah

- Project changed from FWD to User Interface
- Assignee set to Hynek Cihlar

- Start date deleted (06/26/2018)

#3 - 06/26/2018 03:58 PM - Hynek Cihlar

| think the following issue is related. The sample below displays two window instances.

message "Show default window".
view default-window. /* what? another one? */
wait-for close of this-procedure.

#4 - 07/10/2018 08:32 AM - Hynek Cihlar
Constantin, is the frame._isVisible() in GenericFrame.updateDynamicContent really meant as the check for the value of the VISIBLE attribute or
whether the frame has been realized and visible on the screen?

The problem is that due to the check the last line in the method body, frameBuf.setCurrentStatement(currentStatement);, is not executed and so the
current statement in the screen buffer is not set. This leads to the current issue, the top-level window is not made visible.

#5 - 07/10/2018 08:40 AM - Constantin Asofiei
Hynek Cihlar wrote:

Constantin, is the frame._isVisible() in GenericFrame.updateDynamicContent really meant as the check for the value of the VISIBLE attribute

This one - just frame's visible state.

The problem is that due to the check the last line in the method body, frameBuf.setCurrentStatement(currentStatement);, is not executed and so
the current statement in the screen buffer is not set. This leads to the current issue, the top-level window is not made visible.

This seems like a bug, move the setCurrentStatement call before the frame._isVisible() check.

#6 - 07/10/2018 07:15 PM - Hynek Cihlar

Fix checked in to 3600b revision 11295. Please review.
#7 - 07/10/2018 07:15 PM - Hynek Cihlar
- Status changed from New to Feedback

- % Done changed from 0 to 90

#8 - 07/10/2018 08:56 PM - Greg Shah
Code Review Task Branch 3600b Revision 11295

I'm good with the change.

#9 - 07/10/2018 08:56 PM - Greg Shah

- Status changed from Feedback to Test

Is there anything still to do with this task?

#10 - 07/11/2018 05:37 AM - Hynek Cihlar
- % Done changed from 90 to 100
Greg Shah wrote:

Is there anything still to do with this task?

No, it can be closed.

#11 - 07/20/2018 09:42 AM - Eric Faulhaber

- Status changed from Test to Closed

05/19/2024

3/3


http://www.tcpdf.org

